#////////////////////////////////////////////////////////////////////////////////////
#
#  TCL file: C:\test\TestMenu.tcl
#
#////////////////////////////////////////////////////////////////////////////////////

package provide Outils_Test_Menu 1.0

namespace eval ::Outils_Test_Menu { 

    proc registerMenuActions { args } {
	    catch {
  
                InsertXMLMenu  [list [list "MyFile1"] "" "" [list "popup" "&_Test_"  "0" "" "" "" ""] ""]
				
                InsertXMLMenu  [list [list "MyFile1" "_Test_Select" ] "" "" [list "action" "_Test_ Selection Filter"   "0" "ActionFor_Test_Select" "UpdateFor_Test_Select" "Alt+F" "" "" "_Test_ Select"] ""]
                RegisterAction "ActionFor_Test_Select"  "::Outils_Test_Menu::shouldProcessPage" "" "::Outils_Test_Menu::_Test_Select" ""
				RegisterAction "UpdateFor_Test_Select"  "::Outils_Test_Menu::shouldProcessPage" "" "::Outils_Test_Menu::update__Test_Select" ""
				
				InsertXMLMenu  [list [list "MyFile1" "GridToolMenu"] "" "" [list "popup" "Grilles"  "" "" "" "" ""] ""]
                InsertXMLMenu  [list [list "MyFile1" "GridToolMenu" "GridToolMenuAction1" ] "" "" [list "action" "Grille Schema BASCULER"   "0" "ActionForGridMenu_1" "UpdateForGridMenu_1" "Alt+X" "" "" "Grid  Toggle"] ""]
                InsertXMLMenu  [list [list "MyFile1" "GridToolMenu" "GridToolMenuAction2" ] "" "" [list "action" "Grille Symbol ON"   "0" "ActionForGridMenu_2" "UpdateForGridMenu_2" "" "" "" "Grid  On"] ""]
                InsertXMLMenu  [list [list "MyFile1" "GridToolMenu" "GridToolMenuAction3" ] "" "" [list "action" "Grille Symbol OFF"  "0" "ActionForGridMenu_3" "UpdateForGridMenu_3" "" "" "" "Grid Off"] ""]  
   
                RegisterAction "ActionForGridMenu_1"  "::Outils_Test_Menu::shouldProcessPage" "" "::Outils_Test_Menu::st_Grid_TOGGLE" ""
				RegisterAction "UpdateForGridMenu_1"  "::Outils_Test_Menu::shouldProcessPage" "" "::Outils_Test_Menu::update_st_Grid_TOGGLE" ""
                RegisterAction "ActionForGridMenu_2"  "::Outils_Test_Menu::shouldProcessDesign" "" "::Outils_Test_Menu::st_Grid_ON" ""
				RegisterAction "UpdateForGridMenu_2"  "::Outils_Test_Menu::shouldProcessDesign" "" "::Outils_Test_Menu::update_st_Grid_ON" ""
                RegisterAction "ActionForGridMenu_3"  "::Outils_Test_Menu::shouldProcessDesign" "" "::Outils_Test_Menu::st_Grid_OFF" ""
				RegisterAction "UpdateForGridMenu_3"  "::Outils_Test_Menu::shouldProcessDesign" "" "::Outils_Test_Menu::update_st_Grid_OFF" "" 
				
				InsertXMLMenu  [list [list "MyFile1" "InterToolMenu"] "" "" [list "popup" "InterTool Communication"  "" "" "" "" ""] ""]
                InsertXMLMenu  [list [list "MyFile1" "InterToolMenu" "InterToolMenuAction1" ] "" "" [list "action" "InterTool Comm ON"   "0" "ActionForInterMenu1" "UpdateForInterMenu1" "Alt+O" "" "" "Intertool Communication  On"] ""]
                InsertXMLMenu  [list [list "MyFile1" "InterToolMenu" "InterToolMenuAction2" ] "" "" [list "action" "InterTool Comm OFF"  "0" "ActionForInterMenu2" "UpdateForInterMenu2" "Alt+P"  "" "" "Intertool Communication Off"] ""]  
              
                RegisterAction "ActionForInterMenu1"  "::Outils_Test_Menu::shouldProcessAll" "" "::Outils_Test_Menu::InterToolON" ""
				RegisterAction "UpdateForInterMenu1"  "::Outils_Test_Menu::shouldProcessAll" "" "::Outils_Test_Menu::update_InterToolON" ""
                RegisterAction "ActionForInterMenu2"  "::Outils_Test_Menu::shouldProcessAll" "" "::Outils_Test_Menu::InterToolOFF" ""
				RegisterAction "UpdateForInterMenu2"  "::Outils_Test_Menu::shouldProcessAll" "" "::Outils_Test_Menu::update_InterToolOFF" "" 
				
# Activate menu in all cases.
	proc shouldProcessAll { args } {
      if { [IsSchematicViewActive] != 0 || [IsSchematicViewActive] != 1 } { return 1 } 
    } 

# Activate menu in page only.
    proc shouldProcessPage { args } {
      if { [IsSchematicViewActive] != 0 } { return 1 }
    } 

# Activate menu in design only.
    proc shouldProcessDesign { args } {
      if { [IsSchematicViewActive] != 1 } { return 1 }
    } 
	
# Activate menu in symbol only.
    proc shouldProcessSymbol { args } {
      if { [IsSymbolViewActive] != 1 } { return 1 }
    } 
	
    proc _Test_Select {  } {
	::capStFltr::SelectFilter
	}
	
    proc update__Test_Select {  } {
	return true;
    }
	
    proc st_Grid_TOGGLE {  } {
	ViewGrid "TRUE"
    }
	
    proc update_st_Grid_TOGGLE {  } {
	return true;
    }
	
    proc st_Grid_ON {  } {
	set ::tempXMLName "C:/temp/gridon_[pid].xml"
	set ::outfltr [open $::tempXMLName w]
	puts -nonewline $::outfltr {<?xml version="1.0" encoding="UTF-8" standalone="yes" ?>
	<DialogControls>
	<PropertyPage Number="1" ></PropertyPage>	<Control Type="CONTROL_NOT_DEFINED" Enable="TRUE" Visible="TRUE" Id="65535">
			<Value><![CDATA[Schematic Page Grid]]></Value>
		</Control>
		<Control Type="AUTOCHECK_BOX" Enable="TRUE" Visible="TRUE" Id="15616">
			<Value><![CDATA[1]]></Value>
			<Text><![CDATA[&Displayed]]></Text>
		</Control>
		<Control Type="AUTOCHECK_BOX" Enable="TRUE" Visible="TRUE" Id="15645">
			<Value><![CDATA[1]]></Value>
			<Text><![CDATA[D&isplayed]]></Text>
		</Control>
	</DialogControls>
	}
	flush $::outfltr
	close $::outfltr
	SetOptionBool Journaling TRUE
	SetOptionBool DisplayCommands TRUE
	Menu "Options::Preferences" | DialogBox  "OK" "$::tempXMLName"
	file delete $::tempXMLName
    }
	
    proc update_st_Grid_ON {  } {
	return true;
    }
	
    proc st_Grid_OFF {  } {
	set ::tempXMLName "C:/temp/gridoff_[pid].xml"
	set ::outfltr [open $::tempXMLName w]
	puts -nonewline $::outfltr {<?xml version="1.0" encoding="UTF-8" standalone="yes" ?>
	<DialogControls>
	<PropertyPage Number="1" ></PropertyPage>	<Control Type="CONTROL_NOT_DEFINED" Enable="TRUE" Visible="TRUE" Id="65535">
			<Value><![CDATA[Schematic Page Grid]]></Value>
		</Control>
		<Control Type="AUTOCHECK_BOX" Enable="TRUE" Visible="TRUE" Id="15616">
			<Value><![CDATA[0]]></Value>
			<Text><![CDATA[&Displayed]]></Text>
		</Control>
		<Control Type="AUTOCHECK_BOX" Enable="TRUE" Visible="TRUE" Id="15645">
			<Value><![CDATA[0]]></Value>
			<Text><![CDATA[D&isplayed]]></Text>
		</Control>
	</DialogControls>
	}
	flush $::outfltr
	close $::outfltr
	SetOptionBool Journaling TRUE
	SetOptionBool DisplayCommands TRUE
	Menu "Options::Preferences" | DialogBox  "OK" "$::tempXMLName"
	file delete $::tempXMLName
    }
	
    proc update_st_Grid_OFF {  } {
	return true;
    }

    proc InterToolON {  } {
	set ::tempXMLName "C:/temp/interon_[pid].xml"
	set ::outfltr [open $::tempXMLName w]
	puts -nonewline $::outfltr {<?xml version="1.0" encoding="UTF-8" standalone="yes" ?>
	<DialogControls>
	<PropertyPage Number="4" ></PropertyPage>	<Control Type="GROUPBOX" Enable="TRUE" Visible="TRUE" Id="-1">
			<Value><![CDATA[Schematic Page Editor]]></Value>
		</Control>
		<Control Type="AUTOCHECK_BOX" Enable="TRUE" Visible="TRUE" Id="15829">
			<Value><![CDATA[1]]></Value>
			<Text><![CDATA[&Enable Intertool Communication]]></Text>
		</Control>
	</DialogControls>
	}
	flush $::outfltr
	close $::outfltr
	SetOptionBool Journaling TRUE
	SetOptionBool DisplayCommands TRUE
	Menu "Options::Preferences" | DialogBox  "OK" "$::tempXMLName"
	file delete $::tempXMLName
    }

    proc update_InterToolON {  } {
	return true;
    }
 
    proc InterToolOFF {  } {
	set ::tempXMLName "C:/temp/interoff_[pid].xml"
	set ::outfltr [open $::tempXMLName w]
	puts -nonewline $::outfltr {<?xml version="1.0" encoding="UTF-8" standalone="yes" ?>
	<DialogControls>
	<PropertyPage Number="4" ></PropertyPage>	<Control Type="GROUPBOX" Enable="TRUE" Visible="TRUE" Id="-1">
			<Value><![CDATA[Schematic Page Editor]]></Value>
		</Control>
		<Control Type="AUTOCHECK_BOX" Enable="TRUE" Visible="TRUE" Id="15829">
			<Value><![CDATA[0]]></Value>
			<Text><![CDATA[&Enable Intertool Communication]]></Text>
		</Control>
	</DialogControls>
	}
	flush $::outfltr
	close $::outfltr
	SetOptionBool Journaling TRUE
	SetOptionBool DisplayCommands TRUE
	Menu "Options::Preferences" | DialogBox  "OK" "$::tempXMLName"
	file delete $::tempXMLName
    }

    proc update_InterToolOFF {  } {
	return true;
    }
	
	}
	}

    
	}
::Outils_Test_Menu::registerMenuActions

# end of file


